org.apache.uima.cas

## Interface ArrayFS

- All Superinterfaces:
    CommonArrayFS, FeatureStructure
  All Known Implementing Classes:
    FSArray

      public interface ArrayFS
      extends CommonArrayFS

  Feature structure array interface. To create a FS array object, use `CAS.createArrayFS()`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyFromArray(FeatureStructure[] src, int srcOffset, int destOffset, int length)` Copy the contents of an external array into this array.
    `void` | `copyToArray(int srcOffset, FeatureStructure[] dest, int destOffset, int length)` Copy the contents of the array from `start` to `end` to the destination `destArray` with destination offset `destOffset`.
    `FeatureStructure` | `get(int i)` Get the i-th feature structure from the array.
    `void` | `set(int i, FeatureStructure fs)` Set the i-th value.
    `int` | `size()` Return the size of the array.
    `FeatureStructure[]` | `toArray()` Creates a new array the this array is copied to.

    - ### Methods inherited from interface org.apache.uima.cas.CommonArrayFS

      `copyFromArray, copyToArray, toStringArray`

    - ### Methods inherited from interface org.apache.uima.cas.FeatureStructure

      `clone, equals, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

- - ### Method Detail

    - #### size

          int size()

      Return the size of the array.
      Specified by:
        `size` in interface `CommonArrayFS`
      Returns:
        The size of the array.

    - #### get

          FeatureStructure get(int i)
                        throws ArrayIndexOutOfBoundsException

      Get the i-th feature structure from the array.
      Parameters:
        `i` - index
      Returns:
        The i-th feature structure.
      Throws:
        `ArrayIndexOutOfBoundsException` - If the index is out of bounds.

    - #### set

          void set(int i,
                   FeatureStructure fs)
            throws ArrayIndexOutOfBoundsException

      Set the i-th value.
      Parameters:
        `i` - The index.
        `fs` - The value.
      Throws:
        `ArrayIndexOutOfBoundsException` - If `i` is out of bounds.

    - #### copyToArray

          void copyToArray(int srcOffset,
                           FeatureStructure[] dest,
                           int destOffset,
                           int length)
                    throws ArrayIndexOutOfBoundsException

      Copy the contents of the array from `start` to `end` to the destination `destArray` with destination offset `destOffset`.
      Parameters:
        `srcOffset` - The index of the first element to copy.
        `dest` - The array to copy to.
        `destOffset` - Where to start copying into `dest`.
        `length` - The number of elements to copy.
      Throws:
        `ArrayIndexOutOfBoundsException` - If `srcOffset < 0` or `length > size()` or `destOffset + length > destArray.length`.

    - #### copyFromArray

          void copyFromArray(FeatureStructure[] src,
                             int srcOffset,
                             int destOffset,
                             int length)
                      throws ArrayIndexOutOfBoundsException

      Copy the contents of an external array into this array.
      Parameters:
        `src` - The source array.
        `srcOffset` - Where to start copying in the source array.
        `destOffset` - Where to start copying to in the destination array.
        `length` - The number of elements to copy.
      Throws:
        `ArrayIndexOutOfBoundsException` - If `srcOffset < 0` or `length > size()` or `destOffset + length > destArray.length`.

    - #### toArray

          FeatureStructure[] toArray()

      Creates a new array the this array is copied to.
      Returns:
        A Java array copy of this FS array.

Copyright © 2006–2019 The Apache Software Foundation. All rights reserved.